Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.metal
Class MetalLabelUI

    java.lang.Object
      |
      +--javax.swing.plaf.ComponentUI
            |
            +--javax.swing.plaf.LabelUI
                  |
                  +--javax.swing.plaf.basic.BasicLabelUI
                        |
                        +--javax.swing.plaf.metal.MetalLabelUI

public class MetalLabelUI
extends BasicLabelUI

A Windows L&F implementation of LabelUI. This implementation is completely static, i.e. there's only one UIView implementation that's shared by all JLabel objects.

Field Summary
`protected static MetalLabelUI` | `metalLabelUI`

Fields inherited from class javax.swing.plaf.basic.BasicLabelUI
`labelUI`

Constructor Summary
`MetalLabelUI()`

Method Summary
`static ComponentUI` | `createUI(JComponent c)`
`protected void` | `paintDisabledText(JLabel l, java.awt.Graphics g, java.lang.String s, int textX, int textY)` Just paint the text gray (Label.disabledForeground) rather than in the labels foreground color.

Methods inherited from class javax.swing.plaf.basic.BasicLabelUI
`getMaximumSize, getMinimumSize, getPreferredSize, installComponents, installDefaults, installKeyboardActions, installListeners, installUI, layoutCL, paint, paintEnabledText, propertyChange, uninstallComponents, uninstallDefaults, uninstallKeyboardActions, uninstallListeners, uninstallUI`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### metalLabelUI

    protected static MetalLabelUI metalLabelUI

Constructor Detail

### MetalLabelUI

    public MetalLabelUI()

Method Detail

### createUI

    public static ComponentUI createUI(JComponent c)

### paintDisabledText

    protected void paintDisabledText(JLabel l,
                                     java.awt.Graphics g,
                                     java.lang.String s,
                                     int textX,
                                     int textY)

  Just paint the text gray (Label.disabledForeground) rather than in the labels foreground color.
  Overrides:
    paintDisabledText in class BasicLabelUI
  See Also:
    `BasicLabelUI.paint(java.awt.Graphics, javax.swing.JComponent)`, `BasicLabelUI.paintEnabledText(javax.swing.JLabel, java.awt.Graphics, java.lang.String, int, int)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.